Announcement

Collapse
No announcement yet.

Upgrade procedure for 3.8.4 to 5.x

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Trevor Hannant
    replied
    As TLMD suggests, upgrade in stages.

    - close your site via AdminCP then backup your database
    - upgrade your server
    - upgrade vBulletin*

    *I'd perhaps consider two upgrade paths here - one to 4.2.2 then backup your database again then upgrade to vB5. This all depends on what versions of PHP and mySQL you're upgrading to...

    Leave a comment:


  • donald1234
    replied
    You will get better support if you ask here.

    http://www.vbulletin.com/forum/forum...-installations

    This is for pre-sales only.

    Leave a comment:


  • TLMD
    replied
    From the FAQ:

    What versions will I be able to upgrade from directly?

    You will be able to upgrade to vB5 directly from versions 3.8.7 or 4.2. For versions earlier than these, you should first upgrade to one of these two versions and then upgrade to 5.0
    .
    I understand it this way: Do a backup of your database. Update your PHP/MySQL. Upgrade to at least vB 3.8.7, then upgrade to vB 5.

    Leave a comment:


  • Doug Nelson
    replied
    Thank you, but I have upgraded vBulletin many times in the past. I started with v1.

    The instructions you linked to are the basic instructions I've used many times before. But they do not address my question.

    Leave a comment:


  • Set3sh
    replied
    Hello,

    From what you are mentioning I understand you are not completely aware of the upgrading procedure.

    Please read the upgrading procedure documentation.
    https://www.vbulletin.com/docs/html/upgrade


    Kind regards,
    George.

    Leave a comment:


  • Doug Nelson
    started a topic Upgrade procedure for 3.8.4 to 5.x

    Upgrade procedure for 3.8.4 to 5.x

    I'm using 3.8.4 and can't upgrade any further without upgrading MySQL and PHP on my server. Unfortunately, there are several steps of incompatibility from 3.8.4 to 5, where the next version won't install unless I upgrade the server, but the existing version won't work if I upgrade the server.

    So what's the easiest way to upgrade from 3.8.4 to 5 taking those obstacles into consideration? Do I need to slightly upgrade my server then update to 3.8.8, then slightly upgrade the server and move to 4.1, then slightly upgrade the server again at least one more time?

    Thanks in advance.

Related Topics

Collapse

Working...
X